Bonobo API Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# BonoboCanvasItem

## Name

BonoboCanvasItem -- A GNOME Canvas Item that can be used to embed remote Bonobo GNOME Canvas Items.

## Synopsis

    typedef     BonoboCanvasItem;
    typedef     BonoboCanvasItemClass;
    void        bonobo_canvas_item_set_bounds   (BonoboCanvasItem *item,
                                                 double x1,
                                                 double y1,
                                                 double x2,
                                                 double y2);

## Object Hierarchy

      GtkObject
       +----GnomeCanvasItem
             +----BonoboCanvasItem

## Properties

      "corba-embeddable"     gpointer             : Write
      "corba-ui-container"   gpointer             : Write

## Description

The Bonobo Canvas Item is a Canvas item that will allow you to embed an arbitrary Canvas Item that lives in in a remote Embeddable. On the remote end, the BonoboCanvasComponent class is used to wrap an arbitrary GnomeCanvasItem and export it.

This allows arbitrarily shaped components to be inserted into an application. Both Xlib and AA canvas items are supported.

## Details

### BonoboCanvasItem

    typedef struct {
    	GnomeCanvasItem         canvas_item;
    	BonoboEmbeddable        *embeddable;
    	BonoboCanvasItemPrivate *priv;
    } BonoboCanvasItem;

### BonoboCanvasItemClass

    typedef struct {
    	GnomeCanvasItemClass parent_class;
    } BonoboCanvasItemClass;

### bonobo_canvas_item_set_bounds ()

    void        bonobo_canvas_item_set_bounds   (BonoboCanvasItem *item,
                                                 double x1,
                                                 double y1,
                                                 double x2,
                                                 double y2);

`item` : |
`x1` : |
`y1` : |
`x2` : |
`y2` : |

## Properties

"`corba-embeddable`" (gpointer : Write) |
"`corba-ui-container`" (gpointer : Write) |

## See Also

BonoboCanvasComponent, BonoboEmbeddable, BonoboObjectClient.

<<< Previous Page | Home | Up | Next Page >>>
BonoboViewFrame | BonoboCanvasComponent